Bug 1918748 - helmchartrepo is not http(s)_proxy-aware
Summary: helmchartrepo is not http(s)_proxy-aware
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Bram Verschueren
QA Contact: Pavel Macik
Harsh Mishra
URL:
Whiteboard:
Depends On:
Blocks: 1919138
TreeView+ depends on / blocked
 
Reported: 2021-01-21 13:55 UTC by Bram Verschueren
Modified: 2021-04-02 02:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, in a disconnected environment, the Helm charts were not displayed in the *Developer Catalog* due to an invalid configuration while fetching code. This issue has been fixed by ensuring that proxy environment variables are considered and the Helm charts are now displayed on the Developer Catalog.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:55:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7892 0 None closed Bug 1918748: helmchartrepo is not http(s)_proxy-aware 2021-02-15 09:33:05 UTC
Red Hat Knowledge Base (Solution) 5775751 0 None None None 2021-02-09 14:53:15 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:55:38 UTC

Description Bram Verschueren 2021-01-21 13:55:26 UTC
Description of problem:

In a disconnected environment a chartrepo cannot fetch a remote index.yaml file directly from a remote source, hence a (cluster-wide) proxy is used to retrieve the file remotely. However currently the chartrepo's httpClient() does not consider any proxy environment variable.

Version-Release number of selected component (if applicable): 4.6


How reproducible:


Steps to Reproduce:
1. in a disconnected environment, update the Proxy to use http/https proxy
2. create a HelmChartRepository pointing to a cluster-external chart repo
3. install a Helm release from the Developer Console


Actual results:

The action fails with "Error retrieving index file for"

Expected results:

A Helm release is instantiated

Additional info:

Comment 3 Pavel Macik 2021-02-17 15:46:19 UTC
Verified with OCP v4.7.0-0.nightly-2021-02-04-031352

Comment 5 errata-xmlrpc 2021-02-24 15:55:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.